Debian Bug report logs - #705580
qa.debian.org: [UDD] import of long descriptions seems to be broken

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Wed, 17 Apr 2013 06:45:02 UTC

Severity: important

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Wed, 17 Apr 2013 06:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org, debian-qa@lists.debian.org. (Wed, 17 Apr 2013 06:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: [UDD] import of long descriptions seems to be broken
Date: Wed, 17 Apr 2013 08:39:41 +0200
Package: qa.debian.org
Severity: important

Hi,

since some days the import of long descriptions for releases 'sid'
and 'experimental' are broken:

udd=> SELECT package, language, distribution, release, component, description, long_description from descriptions where long_description != '' and release in ('sid','experimental');
 package | language | distribution | release | component | description | long_description 
---------+----------+--------------+---------+-----------+-------------+------------------
(0 Zeilen)


The import of the descriptions is done by the ddtp importer that is
reading files named Translation-<lang>.bz2 in

  ullmann.debian.org:/srv/mirrors/debian/dists/sid/main/i18n

I verified that these files are available as usual.  I just learned
about directories Translation-<lang>.diff which are new to me and did
not existed when I worked on the ddtp importer (which is ignoring
these dirs).

I verified that the importer works properly on my test host:

udd=# SELECT language, count(*) from descriptions where long_description != '' and release in ('sid','experimental') group by language order by language;
 language | count 
----------+-------
 ca       |    27
 cs       |  4416
 da       | 11650
 de       | 12517
 en       | 42395
 es       |  2534
 eu       |    40
 fi       |   718
 fr       |  5587
 hr       |    39
 hu       |   253
 it       | 22308
 ja       |  7477
 km       |    24
 ko       |   937
 nl       |   232
 pl       |  5003
 pt       |  3847
 pt_BR    |  4153
 ru       |  3022
 sk       |  2827
 sr       |   346
 sv       |   337
 uk       |  6234
 vi       |    68
 zh_CN    |  1045
 zh_TW    |   174
(27 Zeilen)


So something seems to be broken only on ullmann.d.o but I do not have
any idea what this might be.  Unfortunately I do not feel able to
check this due to a very weak connection to this host.

This problem does exist probably for one week because one of its effects
was reported last Thursday[1] and the cron job that was creating the
broken pages was running on Wed, 2013-04-10.  I vaguely remember that the
broken descriptions in the tasks pages as reported[1] were OK on last
Sunday evening - but I'm not fully sure.  In any case you might expect a
temporary / random problem.

Hope anybody with better access to ullmann.d.o can have a look.

Kind regards

      Andreas.


[1] https://lists.debian.org/debian-science/2013/04/msg00045.html

-- System Information:
Debian Release: 6.0.7
Architecture: i386 (i686)

Kernel: Linux 2.6.36-xenU-4814-i386 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Wed, 17 Apr 2013 12:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 17 Apr 2013 12:00:09 GMT) Full text and rfc822 format available.

Message #10 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian QA List <debian-qa@lists.debian.org>, 705580@bugs.debian.org
Subject: Re: Bug#705580: qa.debian.org: [UDD] import of long descriptions seems to be broken
Date: Wed, 17 Apr 2013 13:52:59 +0200
Hi,

I had the idea to delete the files where checksums of Translation files
are stored to detect whether a reimport is needed or not - in other words
I forced the reimport of translations by deleting files 

 /srv/udd.debian.org/mirrors/ddtp/sid/{contrib,main,non-free}
 /srv/udd.debian.org/mirrors/ddtp/experimental/{contrib,main,non-free}

After re-running ddtp import the long descriptions were back.  While
this might be a temporary cure of the observed problem I have no idea
what might have caused it and I'm not sure whether it reappears at a
random point in time.
 
Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Sat, 20 Apr 2013 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 20 Apr 2013 21:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian QA List <debian-qa@lists.debian.org>, 705580@bugs.debian.org
Subject: Re: Bug#705580: qa.debian.org: [UDD] import of long descriptions seems to be broken
Date: Sat, 20 Apr 2013 23:12:52 +0200
Hi,

to provide more info about this:  I noticed today that the descriptions
were gone again.  I mad a backup of the files mentioned below and also
the logfile that is written and forced the import again.  Any idea what
might cause the problem is really welcome.

Kind regards

        Andreas.

On Wed, Apr 17, 2013 at 01:52:59PM +0200, Andreas Tille wrote:
> Hi,
> 
> I had the idea to delete the files where checksums of Translation files
> are stored to detect whether a reimport is needed or not - in other words
> I forced the reimport of translations by deleting files 
> 
>  /srv/udd.debian.org/mirrors/ddtp/sid/{contrib,main,non-free}
>  /srv/udd.debian.org/mirrors/ddtp/experimental/{contrib,main,non-free}
> 
> After re-running ddtp import the long descriptions were back.  While
> this might be a temporary cure of the observed problem I have no idea
> what might have caused it and I'm not sure whether it reappears at a
> random point in time.
>  
> Kind regards
> 
>        Andreas.
> 
> -- 
> http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-qa-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130417115259.GB21664@an3as.eu
> 
> 

-- 
http://fam-tille.de



Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Fri, 26 Apr 2013 08:27:11 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Fri, 26 Apr 2013 08:27:11 GMT) Full text and rfc822 format available.

Message #20 received at 705580-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian QA List <debian-qa@lists.debian.org>, 705580-done@bugs.debian.org
Subject: Re: Bug#705580: qa.debian.org: [UDD] import of long descriptions seems to be broken
Date: Fri, 26 Apr 2013 09:20:29 +0200
On 20/04/13 at 23:12 +0200, Andreas Tille wrote:
> Hi,
> 
> to provide more info about this:  I noticed today that the descriptions
> were gone again.  I mad a backup of the files mentioned below and also
> the logfile that is written and forced the import again.  Any idea what
> might cause the problem is really welcome.
> 
> Kind regards

Hi Andreas,

I think this was caused by a bug in the new archive gatherer. See
commit 8c9c0f51b469bdc9bcd6d6dd9b06d8e36fb2c023. I think it's fixed now,
but please double-check in a few days and reopen if necessary.

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Wed, 08 May 2013 12:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 08 May 2013 12:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 705580@bugs.debian.org, Debian QA List <debian-qa@lists.debian.org>
Subject: Only *specific* description seems to be missing
Date: Wed, 8 May 2013 14:45:31 +0200
Hi Lucas,

> I think this was caused by a bug in the new archive gatherer. See
> commit 8c9c0f51b469bdc9bcd6d6dd9b06d8e36fb2c023. I think it's fixed now,
> but please double-check in a few days and reopen if necessary.

I was stumbling upon

   http://blends.alioth.debian.org/science/tasks/mathematics#palp

and I verified that the english descriptions for releases above squeeze
are missing:


udd=> SELECT distinct p.package, p.description, p.description_md5, d.release, d.language, d.long_description from packages p join descriptions d on p.package = d.package where p.package = 'palp' ;
 package |                description                |         description_md5          | release | language |                          long_description
---------+-------------------------------------------+----------------------------------+---------+----------+---------------------------------------------------------------------
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | en       |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | it       |  Un programma per classificare politopi reticolari riflessivi.     +
         |                                           |                                  |         |          |  Per i dettagli vedere http://arxiv.org/abs/math/0204356.          +
         |                                           |                                  |         |          |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | jessie  | en       |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | squeeze | en       |  A program for classifying reflexive lattice polytopes.            +
         |                                           |                                  |         |          |  See http://arxiv.org/abs/math/0204356 for details.
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | da       |  Palp (»Package for Analyzing Lattice Polytopes«) er et program for+
         |                                           |                                  |         |          |  klassifikation af refleksive gitterpolytoper. Se                  +
         |                                           |                                  |         |          |  http://arxiv.org/abs/math/0204356 for detaljer.                   +
         |                                           |                                  |         |          |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | it       |  Un programma per classificare politopi reticolari riflessivi.     +
         |                                           |                                  |         |          |  Per i dettagli vedere http://arxiv.org/abs/math/0204356.          +
         |                                           |                                  |         |          |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | en       |
 palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | da       |  Palp (»Package for Analyzing Lattice Polytopes«) er et program for+
         |                                           |                                  |         |          |  klassifikation af refleksive gitterpolytoper. Se                  +
         |                                           |                                  |         |          |  http://arxiv.org/abs/math/0204356 for detaljer.                   +
         |                                           |                                  |         |          |


I have no idea whether this is caused by the same problem or not.  When
this bug was reported *all* descriptions were missing - now these are
only specific ones - but not only a single one:  Just seek for the string
"Missing" on the URL above to find about ten further examples.

I suspect the fix you applied is not completely working.

Should I reopen the bug report or create a new one because of a
different problem?

Kind regards

       Andreas.

-- 
http://fam-tille.de



Bug reopened Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Tue, 14 May 2013 16:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Thu, 16 May 2013 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 16 May 2013 08:42:04 GMT) Full text and rfc822 format available.

Message #32 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 705580@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Only *specific* description seems to be missing
Date: Thu, 16 May 2013 10:37:26 +0200
Hi again,

I somehow have the impression, that the number of missing descriptions
is silently growing.  It seems that the problem only concerns the English
long descriptions.  To verify this thesis I did

udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
         release          | language | count 
--------------------------+----------+-------
 squeeze-backports-sloppy | en       |    17
 squeeze                  | en       |   117
 wheezy-backports         | en       |   201
 wheezy-proposed-updates  | en       |   293
 squeeze-proposed-updates | en       |   448
 squeeze-backports        | en       |  2668
 experimental             | en       |  7773
 wheezy                   | en       | 37335
 jessie                   | en       | 39255
 sid                      | en       | 41028

I removed the entry of
   Translation-en.bz2
from
   /srv/udd.debian.org/mirrors/ddtp/sid
and rerun
   update-and-run.sh ddtp
which afterwards leaded to

udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
         release          | language | count 
--------------------------+----------+-------
 squeeze-backports-sloppy | en       |    17
 wheezy-updates           | en       |   111
 squeeze                  | en       |   117
 wheezy-proposed-updates  | en       |   266
 squeeze-proposed-updates | en       |   446
 squeeze-backports        | en       |  2668
(6 Zeilen)

I admit I'm a bit astonished that wheezy and jessie are fixed as well
after enforcing rereading the english translations for sid.  I'll rerun
this counting of missing descriptions the next couple of days to see
whether and how they increase.

Kind regards

       Andreas.

On Wed, May 08, 2013 at 02:45:31PM +0200, Andreas Tille wrote:
> Hi Lucas,
> 
> > I think this was caused by a bug in the new archive gatherer. See
> > commit 8c9c0f51b469bdc9bcd6d6dd9b06d8e36fb2c023. I think it's fixed now,
> > but please double-check in a few days and reopen if necessary.
> 
> I was stumbling upon
> 
>    http://blends.alioth.debian.org/science/tasks/mathematics#palp
> 
> and I verified that the english descriptions for releases above squeeze
> are missing:
> 
> 
> udd=> SELECT distinct p.package, p.description, p.description_md5, d.release, d.language, d.long_description from packages p join descriptions d on p.package = d.package where p.package = 'palp' ;
>  package |                description                |         description_md5          | release | language |                          long_description
> ---------+-------------------------------------------+----------------------------------+---------+----------+---------------------------------------------------------------------
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | en       |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | it       |  Un programma per classificare politopi reticolari riflessivi.     +
>          |                                           |                                  |         |          |  Per i dettagli vedere http://arxiv.org/abs/math/0204356.          +
>          |                                           |                                  |         |          |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | jessie  | en       |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | squeeze | en       |  A program for classifying reflexive lattice polytopes.            +
>          |                                           |                                  |         |          |  See http://arxiv.org/abs/math/0204356 for details.
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | da       |  Palp (»Package for Analyzing Lattice Polytopes«) er et program for+
>          |                                           |                                  |         |          |  klassifikation af refleksive gitterpolytoper. Se                  +
>          |                                           |                                  |         |          |  http://arxiv.org/abs/math/0204356 for detaljer.                   +
>          |                                           |                                  |         |          |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | sid     | it       |  Un programma per classificare politopi reticolari riflessivi.     +
>          |                                           |                                  |         |          |  Per i dettagli vedere http://arxiv.org/abs/math/0204356.          +
>          |                                           |                                  |         |          |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | en       |
>  palp    | A Package for Analyzing Lattice Polytopes | deb7fc1ff5c3b11fc6ace2522bd7a5fc | wheezy  | da       |  Palp (»Package for Analyzing Lattice Polytopes«) er et program for+
>          |                                           |                                  |         |          |  klassifikation af refleksive gitterpolytoper. Se                  +
>          |                                           |                                  |         |          |  http://arxiv.org/abs/math/0204356 for detaljer.                   +
>          |                                           |                                  |         |          |
> 
> 
> I have no idea whether this is caused by the same problem or not.  When
> this bug was reported *all* descriptions were missing - now these are
> only specific ones - but not only a single one:  Just seek for the string
> "Missing" on the URL above to find about ten further examples.
> 
> I suspect the fix you applied is not completely working.
> 
> Should I reopen the bug report or create a new one because of a
> different problem?
> 
> Kind regards
> 
>        Andreas.
> 
> -- 
> http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-qa-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130508124531.GG13752@an3as.eu
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Thu, 16 May 2013 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 16 May 2013 18:03:04 GMT) Full text and rfc822 format available.

Message #37 received at 705580@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 705580@bugs.debian.org
Subject: Re: Only *specific* description seems to be missing
Date: Thu, 16 May 2013 19:57:44 +0200
On 16/05/13 at 10:37 +0200, Andreas Tille wrote:
> Hi again,
> 
> I somehow have the impression, that the number of missing descriptions
> is silently growing.  It seems that the problem only concerns the English
> long descriptions.  To verify this thesis I did
> 
> udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
>          release          | language | count 
> --------------------------+----------+-------
>  squeeze-backports-sloppy | en       |    17
>  squeeze                  | en       |   117
>  wheezy-backports         | en       |   201
>  wheezy-proposed-updates  | en       |   293
>  squeeze-proposed-updates | en       |   448
>  squeeze-backports        | en       |  2668
>  experimental             | en       |  7773
>  wheezy                   | en       | 37335
>  jessie                   | en       | 39255
>  sid                      | en       | 41028
> 
> I removed the entry of
>    Translation-en.bz2
> from
>    /srv/udd.debian.org/mirrors/ddtp/sid
> and rerun
>    update-and-run.sh ddtp
> which afterwards leaded to
> 
> udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
>          release          | language | count 
> --------------------------+----------+-------
>  squeeze-backports-sloppy | en       |    17
>  wheezy-updates           | en       |   111
>  squeeze                  | en       |   117
>  wheezy-proposed-updates  | en       |   266
>  squeeze-proposed-updates | en       |   446
>  squeeze-backports        | en       |  2668
> (6 Zeilen)
> 
> I admit I'm a bit astonished that wheezy and jessie are fixed as well
> after enforcing rereading the english translations for sid.  I'll rerun
> this counting of missing descriptions the next couple of days to see
> whether and how they increase.
> 
> Kind regards

Hi,

Note that archive_gatherer also manipulates the descriptions table, and
adds english translations. I think that it's wrong that both the
ddtp gatherer and the archive gatherer change english translations, no?

What do you suggest?

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Thu, 16 May 2013 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 16 May 2013 20:36:04 GMT) Full text and rfc822 format available.

Message #42 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Lucas Nussbaum <lucas@debian.org>
Cc: 705580@bugs.debian.org
Subject: Re: Only *specific* description seems to be missing
Date: Thu, 16 May 2013 22:30:50 +0200
Hi Lucas,

On Thu, May 16, 2013 at 07:57:44PM +0200, Lucas Nussbaum wrote:
> > I admit I'm a bit astonished that wheezy and jessie are fixed as well
> > after enforcing rereading the english translations for sid.  I'll rerun
> > this counting of missing descriptions the next couple of days to see
> > whether and how they increase.
> 
> Note that archive_gatherer also manipulates the descriptions table, and
> adds english translations. I think that it's wrong that both the
> ddtp gatherer and the archive gatherer change english translations, no?

I admit I did never had even a slight look into archive_gatherer but I'm
totally convinced that only one of the gatherers should manipulate the
descriptions.

> What do you suggest?

As I have understood things all descriptions (in all languages) are in
the Translations files (since last summer) and thus the ddtp gatherer
was enhanced.  If this is correct it should be the only source for this
information.  If this is not correct I have no idea what might be the
better approach - may be we should leave out the English translations
from the ddtp importer.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Fri, 17 May 2013 05:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 17 May 2013 05:21:05 GMT) Full text and rfc822 format available.

Message #47 received at 705580@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 705580@bugs.debian.org
Subject: Re: Only *specific* description seems to be missing
Date: Fri, 17 May 2013 07:17:51 +0200
On 16/05/13 at 22:30 +0200, Andreas Tille wrote:
> Hi Lucas,
> 
> On Thu, May 16, 2013 at 07:57:44PM +0200, Lucas Nussbaum wrote:
> > > I admit I'm a bit astonished that wheezy and jessie are fixed as well
> > > after enforcing rereading the english translations for sid.  I'll rerun
> > > this counting of missing descriptions the next couple of days to see
> > > whether and how they increase.
> > 
> > Note that archive_gatherer also manipulates the descriptions table, and
> > adds english translations. I think that it's wrong that both the
> > ddtp gatherer and the archive gatherer change english translations, no?
> 
> I admit I did never had even a slight look into archive_gatherer but I'm
> totally convinced that only one of the gatherers should manipulate the
> descriptions.
> 
> > What do you suggest?
> 
> As I have understood things all descriptions (in all languages) are in
> the Translations files (since last summer) and thus the ddtp gatherer
> was enhanced.  If this is correct it should be the only source for this
> information.  If this is not correct I have no idea what might be the
> better approach - may be we should leave out the English translations
> from the ddtp importer.

OK, I disabled descriptions import in archive gatherer.
(commit 3ce5ac2c19747b793f4cfbd18a9a5061630e327a)

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#705580; Package qa.debian.org. (Fri, 17 May 2013 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 17 May 2013 05:57:04 GMT) Full text and rfc822 format available.

Message #52 received at 705580@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 705580@bugs.debian.org
Subject: Re: Only *specific* description seems to be missing
Date: Fri, 17 May 2013 07:50:58 +0200
Jut for the statistics:

On Thu, May 16, 2013 at 07:57:44PM +0200, Lucas Nussbaum wrote:
> On 16/05/13 at 10:37 +0200, Andreas Tille wrote:
> > Hi again,
> > 
> > I somehow have the impression, that the number of missing descriptions
> > is silently growing.  It seems that the problem only concerns the English
> > long descriptions.  To verify this thesis I did
> > 
> > udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
> >          release          | language | count 
> > --------------------------+----------+-------
> >  squeeze-backports-sloppy | en       |    17
> >  squeeze                  | en       |   117
> >  wheezy-backports         | en       |   201
> >  wheezy-proposed-updates  | en       |   293
> >  squeeze-proposed-updates | en       |   448
> >  squeeze-backports        | en       |  2668
> >  experimental             | en       |  7773
> >  wheezy                   | en       | 37335
> >  jessie                   | en       | 39255
> >  sid                      | en       | 41028
> > 
> > I removed the entry of
> >    Translation-en.bz2
> > from
> >    /srv/udd.debian.org/mirrors/ddtp/sid
> > and rerun
> >    update-and-run.sh ddtp
> > which afterwards leaded to
> > 
> > udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
> >          release          | language | count 
> > --------------------------+----------+-------
> >  squeeze-backports-sloppy | en       |    17
> >  wheezy-updates           | en       |   111
> >  squeeze                  | en       |   117
> >  wheezy-proposed-updates  | en       |   266
> >  squeeze-proposed-updates | en       |   446
> >  squeeze-backports        | en       |  2668
> > (6 Zeilen)

udd=> SELECT release, language, count(*) from descriptions where long_description = '' group by release, language order by count;
         release          | language | count 
--------------------------+----------+-------
 squeeze-backports-sloppy | en       |    17
 squeeze                  | en       |   117
 wheezy-updates           | en       |   131
 wheezy-proposed-updates  | en       |   266
 squeeze-proposed-updates | en       |   446
 squeeze-backports        | en       |  2668

So over night we had some increase of descriptions in squeeze and
wheezy-updates and did not lost any english descriptions.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Tue, 25 Jun 2013 13:57:11 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Tue, 25 Jun 2013 13:57:11 GMT) Full text and rfc822 format available.

Message #57 received at 705580-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Andreas Tille <tille@debian.org>, 705580-done@bugs.debian.org
Subject: Re: Bug#705580: Only *specific* description seems to be missing
Date: Tue, 25 Jun 2013 15:56:00 +0200
On 17/05/13 at 07:50 +0200, Andreas Tille wrote:
> So over night we had some increase of descriptions in squeeze and
> wheezy-updates and did not lost any english descriptions.

One month later, it seems that things still work fine. Closing.

Lucas



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Jul 2013 07:35:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:53:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.